Bug 133649 - firefox: general scariness in files and directory layout
firefox: general scariness in files and directory layout
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-25 13:40 EDT by Zack Cerza
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 11:44:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -q --qf "[%{FILEMODES:perms} %{FILENAMES}\n]" firefox (27.92 KB, text/plain)
2004-09-25 13:42 EDT, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2004-09-25 13:40:20 EDT
So I'm looking for firefox's changelog. Not in /usr/share/doc/firefox,
so I rpm -ql it. /usr/lib64/firefox is apparently where 90% of
firefox's files go, so I look there. An ls --color=auto shows the .so
files being the same color as the README.txt - the color of executables.

I found the changelog now, via 'man rpm' - but this just struck me as
odd. An attachment will show you what I mean.

I don't have access to an i386 box right now so I don't know if
they're affected.
Comment 1 Zack Cerza 2004-09-25 13:42:42 EDT
Created attachment 104322 [details]
rpm -q --qf "[%{FILEMODES:perms} %{FILENAMES}\n]" firefox

I don't know which of these two issues are (most) important:

Many files are +x that should not be.
Many files (such as the .txt, .html and likely the .js files) should not even
be in /usr/lib*.
Comment 2 Matěj Cepl 2007-02-09 11:44:43 EST
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.